Page MenuHomePhabricator

Decide the progress calculation logic when section is blanked using 'Do not use MT'
Closed, ResolvedPublic

Description

If the section does not have any content, is it a translated section? Should it be restored?
Also make sure to have consistant progress calculation for that while saving and restoring

  • Translate two paragraphs
  • Change the second one to "Don't use MT"
  • Save, go back to dashboard and open the translation again

Event Timeline

santhosh created this task.Aug 2 2018, 10:34 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2018, 10:34 AM

When a section is blanked using 'Do not use MT', we consider the content to be the user creation so it should be counted as manual content. Not showing MT warning for the paragraph, and contributing to the percentage of manual modifications for the overall progress calculation.

If the paragraph is blanked using 'Do not use MT', but no content is added I don't think it should compute as a full paragraph translated by a human. That is, adding two paragraphs with 100% MT, should not be compensated by adding 10 empty paragraphs.

@Pginer-WMF So, if a section is blank, and if we are not considering it as a human translated section, should it be restored as blank section or present with a section placeholder?

@Pginer-WMF So, if a section is blank, and if we are not considering it as a human translated section, should it be restored as blank section or present with a section placeholder?

I think both positions make sense:

  • We could keep them to capture the explicit intent of the user to indicate that this section should be empty.
  • We could ignore them since the final result is the same as keeping the placeholder when publishing, and it may avoid future surprises if the user tries to add the paragraph later (i.e., consolidating the placeholder as a starting point).

I'm more inclined towards the later, presenting the empty section as a placeholder when it gets reloaded. But I'm ok to go the other way if it makes things easier technically.

Arrbee moved this task from Needs Triage to CX2 on the ContentTranslation board.Aug 6 2018, 10:02 AM

Change 454525 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] WIP: Check the text value of translations for progress calculation

https://gerrit.wikimedia.org/r/454525

@Pginer-WMF, as per https://gerrit.wikimedia.org/r/454525, this is the behavior I implemented

  1. if a section has blank content, it is not counted as a translated section for progress calculation. So if all sections of of a translation are blank, the total progress is 0%. If you translated 23 sections and all from MT with no modification, the progress is "23 sections translated 100% unmodified MT". After this, if I use "Don't use MT' for 3 sections, the progress is "20 sections translated, 100% unmodified MT"
  2. But, it will be considered for saving and restoring. So blank section is saved and restored as blank section. Not as placeholder. The translator is free to change that blank section using any of the MT provider or from source or scratch as per the preference.
  3. A blanked section is not validated for MT abuse.

Do you see any issue with the above implementation?

Do you see any issue with the above implementation?

No. The behaviour makes perfect sense to me. Thanks for the clear summary!

Change 454525 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Check the text value of translations for progress calculation

https://gerrit.wikimedia.org/r/454525

Etonkovidova closed this task as Resolved.Sep 7 2018, 10:10 PM
Etonkovidova added a subscriber: Etonkovidova.

Checked - the logic exactly as @santhosh described - the calculation correctly reflects the amount of MT and does not include discarded MT section (where the option 'Don't use machine translation' was applied). The blanked paragraphs are saved as blank not as placeholders.
Note: Just as an edge case - it's possible to publish an article that has 0% (0% from machine translation)